﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OnMouseEnter
{
    public partial class UserControlCourse : UserControl, InterfaceDockLabel
    {
        public UserControlCourse()
        {
            InitializeComponent();
        }

        private void labelCourse_MouseLeave(object sender, EventArgs e)
        {
            this.OnMouseLeave(e);
        }

        private void labelCourse_MouseEnter(object sender, EventArgs e)
        {
            this.OnMouseEnter(e);
        }

        public DockStyle DockLabel
        {
            get
            {
                return labelCourse.Dock;
            }
            set
            {
                labelCourse.Dock = value;
                if (value == DockStyle.None)
                {
                    labelCourse.AutoSize = true;
                    labelCourse.TextAlign = ContentAlignment.TopLeft;
                }
                else
                {
                    labelCourse.AutoSize = false;
                    labelCourse.TextAlign = ContentAlignment.MiddleCenter;
                }
                Invalidate(true);
            }
        }
    }
}
